update home
curl --request POST \
--url https://api.example.com/v1/homes/{id}/update \
--header 'Content-Type: application/json' \
--header 'x-ws-api-key: <api-key>' \
--data '
{
"name": "Updated home name",
"solarSystemSizeKw": 6.4,
"isNonNetMetered": true
}
'import requests
url = "https://api.example.com/v1/homes/{id}/update"
payload = {
"name": "Updated home name",
"solarSystemSizeKw": 6.4,
"isNonNetMetered": True
}
headers = {
"x-ws-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-ws-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated home name', solarSystemSizeKw: 6.4, isNonNetMetered: true})
};
fetch('https://api.example.com/v1/homes/{id}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ws_home_123456789",
"createdAt": "2025-01-02T12:00:00.000Z",
"updatedAt": "2025-01-02T12:00:00.000Z",
"name": "My home",
"userId": "user_123456789",
"UtilityId": "12199",
"ratePlanId": "6915de25881cbc6041e4c7f1",
"unstructuredAddress": null,
"timezone": "America/Los_Angeles",
"country": "US",
"city": "San Francisco",
"zipcode": "94107",
"streetAddress": "123 Market St",
"meterId": null,
"meterIdSource": null,
"energyMarketBiddingEnabled": true,
"enabled": true,
"carbonSignalIntensity": "MEDIUM",
"channelPartnerId": null
}homes
update home
POST
/
v1
/
homes
/
{id}
/
update
update home
Authorizations
x-ws-api-keyx-ws-api-key
WattShift API key
Headers
WattShift API Key
Path Parameters
Body
application/json
The body is of type object.
Response
200 - application/json
Available options:
LOW, MEDIUM, HIGH ⌘I
